Home | All Classes | Grouped Classes | Index | Search

# CL_Integer::CL_Integer

Constructs an integer.

    	CL_Integer(
    		const std::string& res_id, CL_ResourceManager* resources);

    	CL_Integer(
    		const std::string& res_id, CL_ResourceManager* resources, int def_value);

Parameters:

res_id
  Resource id of an integer resource to be constructed from.
resources
  Resource manager to load resource from.
def_value
  Default value to use if resource is not found.

See also:

CL_ResourceManager | CL_Integer | CL_Resource

Questions or comments, write to the ClanLib mailing list.